const version = "22.1.10";

function updateNotification() {
  const request = new Request("https://schoolbox-darkmode.web.app/version");
  fetch(request)
    .then((response) => {
      if (!response.ok)
        throw new Error("HTTP Error: Status " + response.status);

      return response.text();
    })
    .then((newVersion) => {
      if (version !== newVersion.trim() && newVersion.trim() != "")
        chrome.notifications.create({
          type: "basic",
          iconUrl: "logo.png",
          title: "New Schoolbox Dark Mode version",
          message: `Version ${newVersion} is out! (You have version ${version})`,
          priority: 1,
        });
    });
}

chrome.runtime.onStartup.addListener(updateNotification);
chrome.runtime.onInstalled.addListener(updateNotification);

chrome.notifications.onClicked.addListener(function () {
  chrome.tabs.create({ url: "https:schoolbox-darkmode.web.app#update-info" });
});
